> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getBlockTransactionCountByHash

> Returns the number of transactions in a block by block hash



## OpenAPI

````yaml /api-reference/openapi.json post /eth_getBlockTransactionCountByHash
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_getBlockTransactionCountByHash:
    post:
      tags:
        - Ethereum API
      summary: eth_getBlockTransactionCountByHash
      description: Returns the number of transactions in a block by block hash
      operationId: eth_getBlockTransactionCountByHash
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_getBlockTransactionCountByHash
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Block hash
                  default:
                    - >-
                      0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_getBlockTransactionCountByHash
              params:
                - >-
                  0xdc0818cf78f21a8e70579cb46a43643f78291264dda342ae31049421c82d21ae
      responses:
        '200':
          description: Returns the number of transactions in the block
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: string
                    description: The number of transactions in the block
                    example: '0x0'
              example:
                jsonrpc: '2.0'
                id: 1
                result: '0x0'

````